Skip to main content
`Ctrl`+`K`

# PetscTraceBackErrorHandler

Default error handler routine that generates a traceback on error detection.

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscTraceBackErrorHandler(MPI_Comm comm, int line, const char *fun, const char *file, PetscErrorCode n, PetscErrorType p, const char *mess, void *ctx)

Not Collective, No Fortran Support

## Input Parameters

- comm - communicator over which error occurred

- line - the line number of the error (usually indicated by `__LINE__` in the calling routine)

- fun - the function name

- file - the file in which the error was detected (usually indicated by `__FILE__` in the calling routine)

- mess - an error text string, usually just printed to the screen

- n - the generic error number

- p - `PETSC_ERROR_INITIAL` if this is the first call the error handler, otherwise `PETSC_ERROR_REPEAT`

- ctx - error handler context

## Options Database Keys

- -error_output_stdout - output the error messages to `stdout` instead of the default `stderr`

- -error_output_none - do not output the error messages

## Notes

Users do not directly call this routine

Use `PetscPushErrorHandler()` to set the desired error handler.

## See Also

`PetscError()`, `PetscPushErrorHandler()`, `PetscPopErrorHandler()`, `PetscAttachDebuggerErrorHandler()`, `PetscAbortErrorHandler()`, `PetscMPIAbortErrorHandler()`, `PetscReturnErrorHandler()`, `PetscEmacsClientErrorHandler()`, `PETSC_ERROR_INITIAL`, `PETSC_ERROR_REPEAT`, `PetscErrorCode`, `PetscErrorType`

## Level

developer

## Location

src/sys/error/errtrace.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages